# see https://docs.searxng.org/admin/settings/settings.html#settings-use-default-settings
use_default_settings:
  engines:
    keep_only:
      - google
      - brave
      - yandex
server:
  # base_url is defined in the SEARXNG_BASE_URL environment variable, see .env and docker-compose.yml
  secret_key: "j2t7uEGGHwoWX4G7ZzzA9RLWZ4EjiPQ"  # change this!
  limiter: false  # enable this when running the instance for a public usage on the internet
  image_proxy: true
ui:
  static_use_hash: false
  default_locale: "fa-IR"
  query_in_title: true
  infinite_scroll: false
  center_alignment: false
  cache_url: https://web.archive.org/web/
  default_theme: simple
  theme_args:
    simple_style: auto
  search_on_category_select: true
  hotkeys: default
  url_formatting: pretty
  static_use_favicons: true
  categories_order:
    - general
    - images
    - videos
redis:
  url: redis://redis:6379/0
search:
  safe_search: 2
  autocomplete: "google"
  default_lang: "fa"
  favicon_resolver: "yandex"
engines:
  - name: google images
    engine: google_images
    shortcut: gimg
    categories: images
  - name: youtube
    engine: google_videos
    shortcut: yt
    categories: videos
  - name: yandex images
    engine: yandex
    categories: images
    search_type: images
    shortcut: ydi
  - name: vimeo
    engine: vimeo
    shortcut: vm
  - name: brave.images
    engine: brave
    network: brave
    shortcut: brimg
    categories: [images, web]
    brave_category: images
  - name: brave.videos
    engine: brave
    network: brave
    shortcut: brvid
    categories: [videos, web]
    brave_category: videos
general:
  debug: false
  instance_name:  "سایا"
  privacypolicy_url: false
  donation_url: false
  contact_url: false
categories_as_tabs:
  general:
  images:
  videos:
  music:
